<?php // $Revision: 3831 $

/************************************************************************/
/* Openads 2.0                                                          */
/* ===========                                                          */
/*                                                                      */
/* Copyright (c) 2000-2007 by the Openads developers                    */
/* For more information visit: http://www.openads.org                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Set define to prevent duplicate include
define ('LIBLOCKS_INCLUDED', true);



function phpAds_maintenanceGetLock()
{
	$version = phpAds_dbResult(phpAds_dbQuery("SELECT VERSION()"), 0, 0);
	$version = preg_replace('/^.*?(\d+\.\d+(\.\d+)?).*$/', '$1', $version);
	
	if (version_compare($version, '8.2', '>='))
	{
		// Use advisory locks on PostgreSQL >= 8.2.0
		$lock = array(
			'type' => 'db',
			'id1' => crc32($GLOBALS['phpAds_productname']),
			'id2' => crc32($GLOBALS['phpAds_config']['instance_id'])
		);
		
		if (phpAds_dbResult(phpAds_dbQuery("SELECT pg_try_advisory_lock({$lock['id1']}, {$lock['id2']})"), 0, 0) == 't')
			return $lock;
	}
	else
	{
		// Use file locking on PostgreSQL < 8.2.0
		$lock = array(
			'type' => 'file',
			'fname' => phpAds_path.'/cache/maintenance_'.crc32($GLOBALS['phpAds_config']['instance_id']).'.lock'
		);
		
		if ($lock['fp'] = @fopen($lock['fname'], 'w+'))
		{
			if (@flock($lock['fp'], LOCK_EX | LOCK_NB))
				return $lock;
		}
	}
	
	return false;
}

function phpAds_maintenanceReleaseLock($lock)
{
	switch ($lock['type'])
	{
		case 'db':
			phpAds_dbQuery("SELECT pg_advisory_unlock({$lock['id1']}, {$lock['id2']})");
			break;
		case 'file':
			@flock($lock['fp'], LOCK_UN);
			@fclose($lock['fp']);
			@unlink($lock['fname']);
			break;
	}
}

?>
